package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.NotifyOrder;

/**
 * 订单电话通知师傅记录Mapper接口
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
public interface NotifyOrderMapper 
{
    /**
     * 查询订单电话通知师傅记录
     * 
     * @param id 订单电话通知师傅记录主键
     * @return 订单电话通知师傅记录
     */
    public NotifyOrder selectNotifyOrderById(Long id);


    public  int  selectNotifyOrderCountByOid(long oid);


    public List<NotifyOrder> selectNotifyOrderByOid(long oid);



    /**
     * 查询订单电话通知师傅记录列表
     * 
     * @param notifyOrder 订单电话通知师傅记录
     * @return 订单电话通知师傅记录集合
     */
    public List<NotifyOrder> selectNotifyOrderList(NotifyOrder notifyOrder);

    /**
     * 新增订单电话通知师傅记录
     * 
     * @param notifyOrder 订单电话通知师傅记录
     * @return 结果
     */
    public int insertNotifyOrder(NotifyOrder notifyOrder);

    /**
     * 修改订单电话通知师傅记录
     * 
     * @param notifyOrder 订单电话通知师傅记录
     * @return 结果
     */
    public int updateNotifyOrder(NotifyOrder notifyOrder);

    /**
     * 删除订单电话通知师傅记录
     * 
     * @param id 订单电话通知师傅记录主键
     * @return 结果
     */
    public int deleteNotifyOrderById(Long id);

    /**
     * 批量删除订单电话通知师傅记录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteNotifyOrderByIds(Long[] ids);
}
